application/json

Body

  • grant_type string Required

    Default value is authorization_code.

  • client_id string Required
  • client_secret string Required
  • code string Required
  • accountId string

    The deliverect customer account id

  • loyaltyProfileId string

    The loyalty profile id being use

Responses

  • 200 application/json

    200

    Hide response attributes Show response attributes object
    • token_type string
    • scope string
    • created_at string
    • access_token string
    • refresh_token string
  • 400 application/json

    400

POST /auth/token
Request examples
{
  "grant_type": "authorization_code",
  "client_id": "string",
  "client_secret": "string",
  "code": "string",
  "accountId": "string",
  "loyaltyProfileId": "string"
}
Response examples (200)
{
    "token_type": "Bearer",
    "scope": "passwordless",
    "created_at": "1709743524",
    "access_token": "test-access-token",
    "refresh_token": "test-refresh-token"
}
Response examples (400)
{}